Skip to main content
GET
/
v1
/
managedPayments
/
credit
/
lines
/
{lineId}
/
wireInstructions
Get repayment wire instructions
curl --request GET \
  --url https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/wireInstructions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "trackingRef": "CIR28XYS2F",
    "beneficiary": {
      "name": "CIRCLE INTERNET FINANCIAL INC",
      "address1": "99 HIGH STREET",
      "address2": "BOSTON MA 02110"
    },
    "beneficiaryBank": {
      "swiftCode": "XXXXXXUS66",
      "routingNumber": "322XXXXXX",
      "accountNumber": "505XXXXXXX",
      "currency": "USD",
      "name": "SILVERGATE BANK",
      "address": "4250 EXECUTIVE SQUARE SUITE 300",
      "city": "LA JOLLA",
      "postalCode": "12345",
      "country": "US"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lineId
string<uuid>
required

Universally unique identifier (UUID v4) of the credit line.

Example:

"01c39206-64e9-4e30-8649-4e187cfcbf6d"

Response

Successfully retrieved wire instructions.

data
object

Wire transfer instructions for making a fiat repayment on a credit line.